Package org.apache.storm.security.auth.kerberos

# Class AutoTGTKrb5LoginModule

java.lang.Object
org.apache.storm.security.auth.kerberos.AutoTGTKrb5LoginModule

All Implemented Interfaces:
  `LoginModule`

Direct Known Subclasses:
  `AutoTGTKrb5LoginModuleTest`

public class AutoTGTKrb5LoginModule extends Object implements LoginModule
Custom LoginModule to enable Auto Login based on cached ticket.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected KerberosTicket`
  `kerbTicket`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoTGTKrb5LoginModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `abort()`
  `boolean`
  `commit()`
  `protected Principal`
  `getKerbTicketClient()`
  `protected void`
  `getKerbTicketFromCache()`
  `void`
  `initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)`
  `boolean`
  `login()`
  `boolean`
  `logout()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### kerbTicket

    protected KerberosTicket kerbTicket

- ## Constructor Details

  - ### AutoTGTKrb5LoginModule

    public AutoTGTKrb5LoginModule()

- ## Method Details

  - ### initialize

    public void initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)
    Specified by:
      `initialize` in interface `LoginModule`

  - ### login

    public boolean login() throws LoginException
    Specified by:
      `login` in interface `LoginModule`
    Throws:
      `LoginException`

  - ### getKerbTicketFromCache

    protected void getKerbTicketFromCache()

  - ### getKerbTicketClient

    protected Principal getKerbTicketClient()

  - ### commit

    public boolean commit() throws LoginException
    Specified by:
      `commit` in interface `LoginModule`
    Throws:
      `LoginException`

  - ### abort

    public boolean abort() throws LoginException
    Specified by:
      `abort` in interface `LoginModule`
    Throws:
      `LoginException`

  - ### logout

    public boolean logout() throws LoginException
    Specified by:
      `logout` in interface `LoginModule`
    Throws:
      `LoginException`